"""
Module contains project paths constants
"""

from pathlib import Path

# app root
_APP_ROOT = Path(__file__).parent.parent.parent.parent
# app root dir
APP_ROOT = _APP_ROOT.absolute()
# project root dir
PROJECT_ROOT = _APP_ROOT.parent.absolute()
# Serving static folder with documentations ("Sphinx", "openApi")
STATIC_ROOT = Path().joinpath(APP_ROOT, "app", "handlers", "static").absolute()
# Path to default config file
CONFIG_FILE = APP_ROOT / "configs" / "config.conf"
